flush_workqueue
Prev | Workqueues and Kevents | Next

## Name

flush_workqueue — ensure that any scheduled work has run to completion.

## Synopsis

`void fastcall flush_workqueue (` | struct workqueue_struct * | wq`)`;

## Arguments

`wq`

  workqueue to flush

## Description

Forces execution of the workqueue and blocks until its completion. This is typically used in driver shutdown handlers.

We sleep until all works which were queued on entry have been handled, but we are not livelocked by new incoming ones.

This function used to run the workqueues itself. Now we just wait for the helper threads to do it.

Prev | Up | Next
queue_delayed_work_on | Home | cancel_work_sync